<?php 
##
#	Project: PHPDISK File Storage Solution
#	This is NOT a freeware, use is subject to license terms.
#
#	Site: http://www.phpdisk.com
#
#	Author: Along ( admin@phpdisk.com )
#
#	$Id: install.php 10 2024-07-17 12:55:08Z along $
#
#	Copyright (C) 2008-2083 PHPDisk Team. All Rights Reserved.
#
##
if(!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('[PHPDISK] Access Denied');
}
$sql = <<<EOF

DROP TABLE IF EXISTS `itc_files`;
CREATE TABLE IF NOT EXISTS `itc_files` (
  `file_id` bigint(20) unsigned AUTO_INCREMENT,
  `file_name` varchar(100) DEFAULT NULL,
  `file_key` char(8) DEFAULT NULL,
  `file_extension` varchar(10) DEFAULT NULL,
  `is_image` tinyint(1) unsigned NOT NULL default '0',
  `file_description` text DEFAULT NULL,
  `file_store_path` varchar(255) DEFAULT NULL,
  `file_real_name` varchar(100) DEFAULT NULL,
  `file_md5` char(32) DEFAULT NULL,
  `file_size` int(10) unsigned NOT NULL default '0',
  `file_time` int(10) unsigned NOT NULL default '0',
  `server_oid` smallint(5) unsigned NOT NULL default '0',
  `file_views` int(10) unsigned default '0',
  `file_downs` int(10) unsigned NOT NULL default '0',
  `file_remote_url` TEXT DEFAULT NULL,
  `file_last_view` int(10) unsigned default '0',
  `file_credit` tinyint(2) unsigned NOT NULL default '0',
  `report_status` tinyint(1) unsigned NOT NULL default '0',
  `in_share` tinyint(1) unsigned NOT NULL default '0',
  `good_count` mediumint(8) unsigned NOT NULL default '0',
  `bad_count` mediumint(8) unsigned NOT NULL default '0',
  `is_locked` tinyint(1) unsigned NOT NULL default '0',
  `is_checked` tinyint(1) unsigned NOT NULL default '0',
  `is_public` tinyint(1) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `folder_id` bigint(20) NOT NULL default '0',
  `ip` varchar(15) DEFAULT NULL,
  `is_del` tinyint(1) NOT NULL default '0',
  `file_pwd` VARCHAR( 20 ) DEFAULT NULL,
  PRIMARY KEY  (`file_id`),
  KEY `userid` (`userid`),
  KEY `folder_id` (`folder_id`),
  KEY `file_name` (`file_name`),
  KEY `is_checked` (`is_checked`),
  KEY `in_share` (`in_share`),
  KEY `server_oid` (`server_oid`)
) ENGINE=MyISAM ;

DROP TABLE IF EXISTS `itc_folders`;
CREATE TABLE IF NOT EXISTS `itc_folders` (
  `folder_id` bigint(20) unsigned AUTO_INCREMENT,
  `parent_id` bigint(20) NOT NULL default '0',
  `folder_name` varchar(50) NOT NULL,
  `folder_description` varchar(255) DEFAULT NULL,
  `in_recycle` tinyint(1) unsigned NOT NULL default '0',
  `in_share` tinyint(1) unsigned NOT NULL default '0',
  `folder_order` smallint(5) unsigned NOT NULL default '0',
  `folder_size` int(10) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `in_time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`folder_id`),
  KEY `userid` (`userid`),
  KEY `parent_id` (`parent_id`),
  KEY `folder_order` (`folder_order`)
) ENGINE=MyISAM;

EOF;

runquery($sql);

$finish = TRUE;

